Data Fields

# arm_rfft_instance_f32 Struct Reference

Instance structure for the floating-point RFFT/RIFFT function. More...

`#include <arm_math.h>`

## Data Fields
uint32_t | fftLenReal
uint16_t | fftLenBy2
uint8_t | ifftFlagR
uint8_t | bitReverseFlagR
uint32_t | twidCoefRModifier
float32_t * | pTwiddleAReal
float32_t * | pTwiddleBReal
arm_cfft_radix4_instance_f32 * | pCfft

## Detailed Description

Instance structure for the floating-point RFFT/RIFFT function.

Definition at line 2188 of file arm_math.h.

## Field Documentation

uint32_t arm_rfft_instance_f32::fftLenReal

length of the real FFT.

Definition at line 2190 of file arm_math.h.

uint16_t arm_rfft_instance_f32::fftLenBy2

length of the complex FFT.

Definition at line 2191 of file arm_math.h.

uint8_t arm_rfft_instance_f32::ifftFlagR

flag that selects forward (ifftFlagR=0) or inverse (ifftFlagR=1) transform.

Definition at line 2192 of file arm_math.h.

uint8_t arm_rfft_instance_f32::bitReverseFlagR

flag that enables (bitReverseFlagR=1) or disables (bitReverseFlagR=0) bit reversal of output.

Definition at line 2193 of file arm_math.h.

uint32_t arm_rfft_instance_f32::twidCoefRModifier

twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Definition at line 2194 of file arm_math.h.

float32_t* arm_rfft_instance_f32::pTwiddleAReal

points to the real twiddle factor table.

Definition at line 2195 of file arm_math.h.

float32_t* arm_rfft_instance_f32::pTwiddleBReal

points to the imag twiddle factor table.

Definition at line 2196 of file arm_math.h.

arm_cfft_radix4_instance_f32* arm_rfft_instance_f32::pCfft

points to the complex FFT instance.

Definition at line 2197 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines